#****************************************************************************
#**
#**  File     :  /cdimage/units/URL0101/URL0101_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Cybran Land Scout Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
local Entity = import('/lua/sim/Entity.lua').Entity

LD009 = Class(CWalkingLandUnit) {
    DestroyOnKilled = false,
    DestructionPartsHighToss = {'Spinner'},
    DestructionPartsLowToss = {'B01',
        'Front_Left_Leg_B01','Front_Left_Leg_B02','Back_Left_Leg_B01','Back_Left_Leg_B02',
        'Middle_Left_Leg_B01','Middle_Left_Leg_B02','Middle_Right_Leg_B01','Middle_Right_Leg_B02',
        'Front_Right_Leg_B01','Front_Right_Leg_B02','Back_Right_Leg_B01','Back_Right_Leg_B02',
        },
    DestructionPartsChassisToss = {'URL0101'},

    OnStopBeingBuilt = function(self,builder,layer)
        CWalkingLandUnit.OnStopBeingBuilt(self,builder,layer)
        self:SetMaintenanceConsumptionInactive()
        self:SetScriptBit('RULEUTC_IntelToggle', true)
        self:RequestRefreshUI()
        CreateRotator(self, 'Spinner', 'y', nil, 90, 5, 90)
      end,
    
}	

TypeClass = LD009